## jde.debugger.spec
Class AccessWatchpointSpec

    java.lang.Object
      |
      +--jde.debugger.spec.EventRequestSpec
            |
            +--jde.debugger.spec.WatchpointSpec
                  |
                  +--jde.debugger.spec.AccessWatchpointSpec

public class AccessWatchpointSpec
extends WatchpointSpec

AccessWatchpointSpec.java

Created: Tue Aug 3 15:34:14 1999

Since:
  0.1

Fields inherited from class jde.debugger.spec.WatchpointSpec
`fieldName, objectID, objectIDKey`

Fields inherited from class jde.debugger.spec.EventRequestSpec
`app, classExFilters, classFilters, expr, expressionKey, isResolved, myID, refSpec, request, specPropertyKey, suspendPolicy, thread, threadKey`

Constructor Summary
`AccessWatchpointSpec(Application app, ReferenceTypeSpec refSpec, java.lang.String fieldName)`

Method Summary
`(package private) boolean` `resolve(com.sun.jdi.ReferenceType refType)` This function is called to resolve an `EventRequestSpec` when the ReferenceType is known to match

Methods inherited from class jde.debugger.spec.WatchpointSpec
`setObjectID, setRequest`

Methods inherited from class jde.debugger.spec.EventRequestSpec
`attemptImmediateResolve, attemptResolve, getEventRequest, getID, installClassExFilters, installClassFilters, isJavaIdentifier, isResolved, setClassExFilters, setClassFilters, setExpression, setIsResolved, setSuspendPolicy, setThread`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### AccessWatchpointSpec

    public AccessWatchpointSpec(Application app,
                                ReferenceTypeSpec refSpec,
                                java.lang.String fieldName)

Method Detail

### resolve

    boolean resolve(com.sun.jdi.ReferenceType refType)
              throws JDEException

  Description copied from class: EventRequestSpec
  This function is called to resolve an `EventRequestSpec` when the ReferenceType is known to match

  if any errors occur at any time during resolution of the event- requestspec, it's entry in the `EventRequestSpecList` is removed, and jde informed about it (through `Application.removeSpecAndInformJDE(jde.debugger.spec.EventRequestSpec, java.lang.String)`

  Overrides:
    resolve in class EventRequestSpec
  Tags copied from class: EventRequestSpec
  Returns:
    true if the resolution was successful